Package org.htmlunit.html

# Class DomProcessingInstruction

java.lang.Object
org.htmlunit.html.DomNode
org.htmlunit.html.DomProcessingInstruction

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Node`, `ProcessingInstruction`

public class DomProcessingInstruction extends DomNode implements ProcessingInstruction
Wrapper for the DOM node ProcessingInstruction.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.htmlunit.html.DomNode

  `DomNode.ChildIterator, DomNode.DescendantDomElementsIterator, DomNode.DescendantDomNodesIterator, DomNode.DescendantElementsIterator<T extends DomNode>, DomNode.DescendantHtmlElementsIterator`

- ## Field Summary

  ### Fields inherited from class org.htmlunit.html.DomNode

  `PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

  ### Fields inherited from interface org.w3c.dom.Node

  `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomProcessingInstruction(SgmlPage page, String target, String data)`
  Creates a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getData()`
  `String`
  `getNodeName()`
  `short`
  `getNodeType()`
  `String`
  `getNodeValue()`
  `String`
  `getTarget()`
  `protected void`
  `printXml(String indent, PrintWriter printWriter)`
  Recursively writes the XML data for the node tree starting at `node`.
  `void`
  `setData(String data)`
  `void`
  `setNodeValue(String value)`
  `void`
  `setPrefix(String prefix)`
  `void`
  `setTextContent(String textContent)`

  ### Methods inherited from class org.htmlunit.html.DomNode

  `addCharacterDataChangeListener, addDomChangeListener, appendChild, asNormalizedText, asXml, basicRemove, checkChildHierarchy, cloneNode, closest, compareDocumentPosition, detach, fireCharacterDataChanged, fireNodeAdded, fireNodeDeleted, getAncestors, getAttributes, getBaseURI, getByXPath, getByXPath, getCanonicalXPath, getChildNodes, getChildren, getDescendants, getDomElementDescendants, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstByXPath, getFirstChild, getHtmlElementDescendants, getHtmlPageOrNull, getIndex, getLastChild, getLocalName, getNamespaceURI, getNextElementSibling, getNextSibling, getOwnerDocument, getPage, getParentNode, getPrefix, getPreviousElementSibling, getPreviousSibling, getReadyState, getScriptableObject, getSelectorList, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, getVisibleText, handles, hasAttributes, hasChildNodes, hasFeature, insertBefore, insertBefore, isAncestorOf, isAncestorOfAny, isAttachedToPage, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, mayBeDisplayed, normalize, notifyIncorrectness, onAddedToDocumentFragment, onAddedToPage, onAllChildrenAddedToPage, parseHtmlSnippet, printChildrenAsXml, processImportNode, querySelector, querySelectorAll, quietlyRemoveAndMoveChildrenTo, remove, removeAllChildren, removeCharacterDataChangeListener, removeChild, removeDomChangeListener, replace, replaceChild, setEndLocation, setParentNode, setReadyState, setScriptableObject, setStartLocation, setUserData`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.w3c.dom.Node

  `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setUserData`

- ## Constructor Details

  - ### DomProcessingInstruction

    public DomProcessingInstruction(SgmlPage page, String target, String data)
    Creates a new instance.
    Parameters:
      `page` - the Page that contains this element
      `target` - the target
      `data` - the data

- ## Method Details

  - ### getNodeType

    public short getNodeType()
    Specified by:
      `getNodeType` in interface `Node`
    Returns:
      the node type constant, in this case `Node.PROCESSING_INSTRUCTION_NODE`

  - ### getNodeName

    public String getNodeName()
    Specified by:
      `getNodeName` in interface `Node`

  - ### getTarget

    public String getTarget()
    Specified by:
      `getTarget` in interface `ProcessingInstruction`

  - ### getData

    public String getData()
    Specified by:
      `getData` in interface `ProcessingInstruction`

  - ### setData

    public void setData(String data) throws DOMException
    Specified by:
      `setData` in interface `ProcessingInstruction`
    Throws:
      `DOMException`

  - ### setNodeValue

    public void setNodeValue(String value)
    Specified by:
      `setNodeValue` in interface `Node`

  - ### getNodeValue

    public String getNodeValue()
    Specified by:
      `getNodeValue` in interface `Node`
    Overrides:
      `getNodeValue` in class `DomNode`

  - ### setTextContent

    public void setTextContent(String textContent)
    Specified by:
      `setTextContent` in interface `Node`
    Overrides:
      `setTextContent` in class `DomNode`

  - ### printXml

    protected void printXml(String indent, PrintWriter printWriter)
    Recursively writes the XML data for the node tree starting at `node`.
    Overrides:
      `printXml` in class `DomNode`
    Parameters:
      `indent` - white space to indent child nodes
      `printWriter` - writer where child nodes are written

  - ### setPrefix

    public void setPrefix(String prefix)
    Specified by:
      `setPrefix` in interface `Node`